tvm
Loading...
Searching...
No Matches
Namespaces | Functions
ir.h File Reference
#include <tvm/ffi/container/tuple.h>
#include <tvm/ffi/container/variant.h>
#include <tvm/ir/expr.h>
#include <tvm/ir/function.h>
#include <tvm/script/ir_builder/frame.h>
#include <vector>
Include dependency graph for ir.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

Namespaces

namespace  tvm
 An object that builds and maintains block scope and StmtSref mapping for Dependence analysis.
 
namespace  tvm::script
 
namespace  tvm::script::ir_builder
 
namespace  tvm::script::ir_builder::ir
 

Functions

TVM_TIRX_DLL IRModuleFrame tvm::script::ir_builder::ir::IRModule ()
 The IRModule declaration statement.
 
TVM_TIRX_DLL GlobalVar tvm::script::ir_builder::ir::DeclFunction (const ffi::String &func_name, const BaseFunc &func_signature)
 Declare a Function without given the specific function implementation.
 
TVM_TIRX_DLL void tvm::script::ir_builder::ir::DefFunction (const ffi::String &func_name, const BaseFunc &func)
 Define the function which is declared before.
 
ForFrame tvm::script::ir_builder::ir::For (ForKind kind, PrimExpr start, PrimExpr stop, ffi::Optional< PrimExpr > step=std::nullopt, ffi::Optional< PrimType > dtype=std::nullopt, ffi::Optional< ffi::Map< ffi::String, Any > > annotations=std::nullopt)
 Construct a For statement of the given kind.
 
ForFrame tvm::script::ir_builder::ir::Grid (ffi::Array< ffi::Variant< PrimExpr, ffi::Tuple< PrimExpr, PrimExpr > > > extents, ffi::Optional< PrimType > dtype=std::nullopt)
 The grid For statement.
 
AssertFrame tvm::script::ir_builder::ir::Assert (PrimExpr condition, ffi::String error_kind, ffi::Array< ffi::String > message_parts)
 The assertion statement.
 
Var tvm::script::ir_builder::ir::Bind (Expr value, ffi::Optional< Type > type_annotation=std::nullopt, ffi::Optional< Var > var=std::nullopt)
 Create a Bind (variable binding).
 
WhileFrame tvm::script::ir_builder::ir::While (PrimExpr condition)
 Create a while loop.
 
tvm::Stmt tvm::script::ir_builder::ir::Return (Expr value)
 Create a return statement.
 
tvm::Stmt tvm::script::ir_builder::ir::Break ()
 Create a break statement.
 
tvm::Stmt tvm::script::ir_builder::ir::Continue ()
 Create a continue statement.
 
IfFrame tvm::script::ir_builder::ir::If (PrimExpr condition)
 Create an if statement.
 
ThenFrame tvm::script::ir_builder::ir::Then ()
 Create a then.
 
ElseFrame tvm::script::ir_builder::ir::Else ()
 Create an else.
 
RegionFrame tvm::script::ir_builder::ir::Region (Op op, ffi::Array< Expr > args, ffi::Optional< ffi::Array< Var > > body_params=std::nullopt, DictAttrs attrs=DictAttrs())
 Construct a result-free region with lexical body parameters.
 
tvm::Stmt tvm::script::ir_builder::ir::Evaluate (Expr value)
 Evaluate the input expression.